/*
 * Delays.h
 *
 *  Created on: Oct 28, 2023
 *      Author: JM Palomino
 */

#ifndef DELAYS_H_
#define DELAYS_H_

#define _1ms  0x42U
#define _2ms  0x43U
#define _4ms  0x44U
#define _8ms  0x45U
#define _16ms 0x46U
#define _32ms 0x47U

void RTC_Delay(uint8_t delay, uint8_t prescaler);
void Delay_50us(void);
void Delay_25us(void);
void Delay_10us(void);
void Delay_5us(void);
void Delay_3us(void);

#endif /* DELAYS_H_ */
